{
  "openapi": "3.1.0",
  "info": {
    "title": "Adminium REST API",
    "version": "v1",
    "description": "The `/api/v1` surface of a self-hosted Adminium instance. Generated from the live route tree and its zod schemas — see apps/server/scripts/openapi.mjs.",
    "license": {
      "name": "AGPL-3.0-only",
      "url": "https://www.gnu.org/licenses/agpl-3.0.html"
    }
  },
  "components": {
    "securitySchemes": {
      "sessionCookie": {
        "type": "apiKey",
        "in": "cookie",
        "name": "adminium_session",
        "description": "Browser session cookie, set by `POST /auth/login`. HttpOnly."
      },
      "apiKey": {
        "type": "http",
        "scheme": "bearer",
        "description": "Workspace API key: `Authorization: Bearer adm_sk_…` (§2.16)."
      }
    },
    "schemas": {}
  },
  "paths": {
    "/api/v1/healthz": {
      "get": {
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "ok": {
                      "type": "boolean",
                      "enum": [
                        true
                      ]
                    },
                    "version": {
                      "type": "string"
                    },
                    "uptime": {
                      "type": "number",
                      "minimum": 0
                    }
                  },
                  "required": [
                    "ok",
                    "version",
                    "uptime"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/readyz": {
      "get": {
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "ok": {
                      "type": "boolean"
                    },
                    "version": {
                      "type": "string"
                    },
                    "checks": {
                      "type": "object",
                      "properties": {
                        "meta": {
                          "type": "string",
                          "enum": [
                            "ok",
                            "unreachable",
                            "not-configured"
                          ]
                        }
                      },
                      "required": [
                        "meta"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "ok",
                    "version",
                    "checks"
                  ],
                  "additionalProperties": false
                }
              }
            }
          },
          "503": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "ok": {
                      "type": "boolean"
                    },
                    "version": {
                      "type": "string"
                    },
                    "checks": {
                      "type": "object",
                      "properties": {
                        "meta": {
                          "type": "string",
                          "enum": [
                            "ok",
                            "unreachable",
                            "not-configured"
                          ]
                        }
                      },
                      "required": [
                        "meta"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "ok",
                    "version",
                    "checks"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/system/info": {
      "get": {
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "version": {
                      "type": "string"
                    },
                    "node": {
                      "type": "string"
                    },
                    "dialect": {
                      "anyOf": [
                        {
                          "type": "string",
                          "enum": [
                            "postgres",
                            "mysql",
                            "sqlite"
                          ]
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "runtime": {
                      "type": "string",
                      "enum": [
                        "self-host",
                        "desktop"
                      ]
                    },
                    "smtpConfigured": {
                      "type": "boolean"
                    },
                    "networkFeaturesAllowed": {
                      "type": "boolean"
                    },
                    "lanShare": {
                      "type": "boolean"
                    },
                    "desktopDemo": {
                      "type": "boolean"
                    }
                  },
                  "required": [
                    "version",
                    "node",
                    "dialect",
                    "runtime",
                    "smtpConfigured",
                    "networkFeaturesAllowed",
                    "lanShare",
                    "desktopDemo"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/auth/login": {
      "post": {
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "email": {
                    "type": "string",
                    "minLength": 3,
                    "maxLength": 320
                  },
                  "password": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 200
                  }
                },
                "required": [
                  "email",
                  "password"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "user": {
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "string"
                            },
                            "email": {
                              "type": "string"
                            },
                            "name": {
                              "type": "string"
                            },
                            "status": {
                              "type": "string",
                              "enum": [
                                "active",
                                "invited",
                                "suspended"
                              ]
                            },
                            "totpEnabled": {
                              "type": "boolean"
                            },
                            "lastLoginAt": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "createdAt": {
                              "type": "number"
                            },
                            "updatedAt": {
                              "type": "number"
                            }
                          },
                          "required": [
                            "id",
                            "email",
                            "name",
                            "status",
                            "totpEnabled",
                            "lastLoginAt",
                            "createdAt",
                            "updatedAt"
                          ],
                          "additionalProperties": false
                        },
                        "twoFactorSetupRequired": {
                          "type": "boolean",
                          "enum": [
                            true
                          ]
                        }
                      },
                      "required": [
                        "user"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          },
          "202": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "twoFactorRequired": {
                          "type": "boolean",
                          "enum": [
                            true
                          ]
                        },
                        "challengeToken": {
                          "type": "string"
                        }
                      },
                      "required": [
                        "twoFactorRequired",
                        "challengeToken"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/auth/2fa/verify": {
      "post": {
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "challengeToken": {
                    "type": "string",
                    "minLength": 1
                  },
                  "code": {
                    "type": "string",
                    "minLength": 6,
                    "maxLength": 20
                  }
                },
                "required": [
                  "challengeToken",
                  "code"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "user": {
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "string"
                            },
                            "email": {
                              "type": "string"
                            },
                            "name": {
                              "type": "string"
                            },
                            "status": {
                              "type": "string",
                              "enum": [
                                "active",
                                "invited",
                                "suspended"
                              ]
                            },
                            "totpEnabled": {
                              "type": "boolean"
                            },
                            "lastLoginAt": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "createdAt": {
                              "type": "number"
                            },
                            "updatedAt": {
                              "type": "number"
                            }
                          },
                          "required": [
                            "id",
                            "email",
                            "name",
                            "status",
                            "totpEnabled",
                            "lastLoginAt",
                            "createdAt",
                            "updatedAt"
                          ],
                          "additionalProperties": false
                        },
                        "twoFactorSetupRequired": {
                          "type": "boolean",
                          "enum": [
                            true
                          ]
                        }
                      },
                      "required": [
                        "user"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/auth/logout": {
      "post": {
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "ok": {
                          "type": "boolean",
                          "enum": [
                            true
                          ]
                        }
                      },
                      "required": [
                        "ok"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/auth/session": {
      "get": {
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "user": {
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "string"
                            },
                            "email": {
                              "type": "string"
                            },
                            "name": {
                              "type": "string"
                            },
                            "status": {
                              "type": "string",
                              "enum": [
                                "active",
                                "invited",
                                "suspended"
                              ]
                            },
                            "totpEnabled": {
                              "type": "boolean"
                            },
                            "lastLoginAt": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "createdAt": {
                              "type": "number"
                            },
                            "updatedAt": {
                              "type": "number"
                            }
                          },
                          "required": [
                            "id",
                            "email",
                            "name",
                            "status",
                            "totpEnabled",
                            "lastLoginAt",
                            "createdAt",
                            "updatedAt"
                          ],
                          "additionalProperties": false
                        },
                        "roles": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        },
                        "twoFactorSetupRequired": {
                          "type": "boolean"
                        }
                      },
                      "required": [
                        "user",
                        "roles",
                        "twoFactorSetupRequired"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/auth/sessions": {
      "get": {
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "sessions": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string"
                              },
                              "ip": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "userAgent": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "createdAt": {
                                "type": "number"
                              },
                              "lastSeenAt": {
                                "type": "number"
                              },
                              "expiresAt": {
                                "type": "number"
                              },
                              "current": {
                                "type": "boolean"
                              }
                            },
                            "required": [
                              "id",
                              "ip",
                              "userAgent",
                              "createdAt",
                              "lastSeenAt",
                              "expiresAt",
                              "current"
                            ],
                            "additionalProperties": false
                          }
                        }
                      },
                      "required": [
                        "sessions"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/auth/sessions/{id}": {
      "delete": {
        "parameters": [
          {
            "schema": {
              "type": "string",
              "minLength": 1,
              "maxLength": 64
            },
            "in": "path",
            "name": "id",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "ok": {
                          "type": "boolean",
                          "enum": [
                            true
                          ]
                        }
                      },
                      "required": [
                        "ok"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/auth/password/change": {
      "post": {
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "currentPassword": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 200
                  },
                  "newPassword": {
                    "type": "string",
                    "minLength": 8,
                    "maxLength": 200
                  }
                },
                "required": [
                  "currentPassword",
                  "newPassword"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "ok": {
                          "type": "boolean",
                          "enum": [
                            true
                          ]
                        }
                      },
                      "required": [
                        "ok"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/auth/password/forgot": {
      "post": {
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "email": {
                    "type": "string",
                    "minLength": 3,
                    "maxLength": 320
                  }
                },
                "required": [
                  "email"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "ok": {
                          "type": "boolean",
                          "enum": [
                            true
                          ]
                        }
                      },
                      "required": [
                        "ok"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/auth/password/reset": {
      "post": {
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "token": {
                    "type": "string",
                    "minLength": 1
                  },
                  "newPassword": {
                    "type": "string",
                    "minLength": 8,
                    "maxLength": 200
                  }
                },
                "required": [
                  "token",
                  "newPassword"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "ok": {
                          "type": "boolean",
                          "enum": [
                            true
                          ]
                        }
                      },
                      "required": [
                        "ok"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/auth/2fa/enroll": {
      "post": {
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "secret": {
                          "type": "string"
                        },
                        "otpauthUrl": {
                          "type": "string"
                        }
                      },
                      "required": [
                        "secret",
                        "otpauthUrl"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/auth/2fa/activate": {
      "post": {
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string",
                    "minLength": 6,
                    "maxLength": 20
                  }
                },
                "required": [
                  "code"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "recoveryCodes": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      },
                      "required": [
                        "recoveryCodes"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/auth/2fa/disable": {
      "post": {
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "password": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 200
                  },
                  "code": {
                    "type": "string",
                    "minLength": 6,
                    "maxLength": 20
                  }
                },
                "required": [
                  "password"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "ok": {
                          "type": "boolean",
                          "enum": [
                            true
                          ]
                        }
                      },
                      "required": [
                        "ok"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/me": {
      "get": {
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "user": {
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "string"
                            },
                            "email": {
                              "type": "string"
                            },
                            "name": {
                              "type": "string"
                            },
                            "status": {
                              "type": "string",
                              "enum": [
                                "active",
                                "invited",
                                "suspended"
                              ]
                            },
                            "totpEnabled": {
                              "type": "boolean"
                            },
                            "lastLoginAt": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "createdAt": {
                              "type": "number"
                            },
                            "updatedAt": {
                              "type": "number"
                            }
                          },
                          "required": [
                            "id",
                            "email",
                            "name",
                            "status",
                            "totpEnabled",
                            "lastLoginAt",
                            "createdAt",
                            "updatedAt"
                          ],
                          "additionalProperties": false
                        }
                      },
                      "required": [
                        "user"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      },
      "patch": {
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "name": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 120
                  },
                  "email": {
                    "type": "string",
                    "minLength": 3,
                    "maxLength": 320
                  },
                  "password": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 200
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "user": {
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "string"
                            },
                            "email": {
                              "type": "string"
                            },
                            "name": {
                              "type": "string"
                            },
                            "status": {
                              "type": "string",
                              "enum": [
                                "active",
                                "invited",
                                "suspended"
                              ]
                            },
                            "totpEnabled": {
                              "type": "boolean"
                            },
                            "lastLoginAt": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "createdAt": {
                              "type": "number"
                            },
                            "updatedAt": {
                              "type": "number"
                            }
                          },
                          "required": [
                            "id",
                            "email",
                            "name",
                            "status",
                            "totpEnabled",
                            "lastLoginAt",
                            "createdAt",
                            "updatedAt"
                          ],
                          "additionalProperties": false
                        }
                      },
                      "required": [
                        "user"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/me/prefs": {
      "get": {
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "prefs": {
                          "type": "object",
                          "properties": {
                            "theme": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "enum": [
                                    "light",
                                    "dark",
                                    "system"
                                  ]
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "accent": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "enum": [
                                    "indigo",
                                    "blue",
                                    "teal",
                                    "violet",
                                    "rose",
                                    "red",
                                    "orange",
                                    "black"
                                  ]
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "density": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "enum": [
                                    "comfortable",
                                    "compact"
                                  ]
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "locale": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "minLength": 2,
                                  "maxLength": 35,
                                  "pattern": "^[a-z]{2,3}(_[A-Za-z0-9]{2,8}){0,2}$"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "dir": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "enum": [
                                    "ltr",
                                    "rtl"
                                  ]
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            }
                          },
                          "required": [
                            "theme",
                            "accent",
                            "density",
                            "locale",
                            "dir"
                          ],
                          "additionalProperties": false
                        },
                        "resolved": {
                          "type": "object",
                          "properties": {
                            "theme": {
                              "type": "string",
                              "enum": [
                                "light",
                                "dark",
                                "system"
                              ]
                            },
                            "accent": {
                              "type": "string",
                              "enum": [
                                "indigo",
                                "blue",
                                "teal",
                                "violet",
                                "rose",
                                "red",
                                "orange",
                                "black"
                              ]
                            },
                            "density": {
                              "type": "string",
                              "enum": [
                                "comfortable",
                                "compact"
                              ]
                            },
                            "locale": {
                              "type": "string",
                              "minLength": 2,
                              "maxLength": 35,
                              "pattern": "^[a-z]{2,3}(_[A-Za-z0-9]{2,8}){0,2}$"
                            },
                            "dir": {
                              "type": "string",
                              "enum": [
                                "ltr",
                                "rtl"
                              ]
                            },
                            "source": {
                              "type": "object",
                              "properties": {
                                "theme": {
                                  "type": "string",
                                  "enum": [
                                    "system",
                                    "global",
                                    "user"
                                  ]
                                },
                                "accent": {
                                  "type": "string",
                                  "enum": [
                                    "system",
                                    "global",
                                    "user"
                                  ]
                                },
                                "density": {
                                  "type": "string",
                                  "enum": [
                                    "system",
                                    "global",
                                    "user"
                                  ]
                                },
                                "locale": {
                                  "type": "string",
                                  "enum": [
                                    "system",
                                    "global",
                                    "user"
                                  ]
                                },
                                "dir": {
                                  "type": "string",
                                  "enum": [
                                    "system",
                                    "global",
                                    "user"
                                  ]
                                }
                              },
                              "required": [
                                "theme",
                                "accent",
                                "density",
                                "locale",
                                "dir"
                              ],
                              "additionalProperties": false
                            }
                          },
                          "required": [
                            "theme",
                            "accent",
                            "density",
                            "locale",
                            "dir",
                            "source"
                          ],
                          "additionalProperties": false
                        }
                      },
                      "required": [
                        "prefs",
                        "resolved"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      },
      "patch": {
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "theme": {
                    "anyOf": [
                      {
                        "type": "string",
                        "enum": [
                          "light",
                          "dark",
                          "system"
                        ]
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "accent": {
                    "anyOf": [
                      {
                        "type": "string",
                        "enum": [
                          "indigo",
                          "blue",
                          "teal",
                          "violet",
                          "rose",
                          "red",
                          "orange",
                          "black"
                        ]
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "density": {
                    "anyOf": [
                      {
                        "type": "string",
                        "enum": [
                          "comfortable",
                          "compact"
                        ]
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "locale": {
                    "anyOf": [
                      {
                        "type": "string",
                        "minLength": 2,
                        "maxLength": 35,
                        "pattern": "^[a-z]{2,3}(_[A-Za-z0-9]{2,8}){0,2}$"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "dir": {
                    "anyOf": [
                      {
                        "type": "string",
                        "enum": [
                          "ltr",
                          "rtl"
                        ]
                      },
                      {
                        "type": "null"
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "prefs": {
                          "type": "object",
                          "properties": {
                            "theme": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "enum": [
                                    "light",
                                    "dark",
                                    "system"
                                  ]
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "accent": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "enum": [
                                    "indigo",
                                    "blue",
                                    "teal",
                                    "violet",
                                    "rose",
                                    "red",
                                    "orange",
                                    "black"
                                  ]
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "density": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "enum": [
                                    "comfortable",
                                    "compact"
                                  ]
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "locale": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "minLength": 2,
                                  "maxLength": 35,
                                  "pattern": "^[a-z]{2,3}(_[A-Za-z0-9]{2,8}){0,2}$"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "dir": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "enum": [
                                    "ltr",
                                    "rtl"
                                  ]
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            }
                          },
                          "required": [
                            "theme",
                            "accent",
                            "density",
                            "locale",
                            "dir"
                          ],
                          "additionalProperties": false
                        },
                        "resolved": {
                          "type": "object",
                          "properties": {
                            "theme": {
                              "type": "string",
                              "enum": [
                                "light",
                                "dark",
                                "system"
                              ]
                            },
                            "accent": {
                              "type": "string",
                              "enum": [
                                "indigo",
                                "blue",
                                "teal",
                                "violet",
                                "rose",
                                "red",
                                "orange",
                                "black"
                              ]
                            },
                            "density": {
                              "type": "string",
                              "enum": [
                                "comfortable",
                                "compact"
                              ]
                            },
                            "locale": {
                              "type": "string",
                              "minLength": 2,
                              "maxLength": 35,
                              "pattern": "^[a-z]{2,3}(_[A-Za-z0-9]{2,8}){0,2}$"
                            },
                            "dir": {
                              "type": "string",
                              "enum": [
                                "ltr",
                                "rtl"
                              ]
                            },
                            "source": {
                              "type": "object",
                              "properties": {
                                "theme": {
                                  "type": "string",
                                  "enum": [
                                    "system",
                                    "global",
                                    "user"
                                  ]
                                },
                                "accent": {
                                  "type": "string",
                                  "enum": [
                                    "system",
                                    "global",
                                    "user"
                                  ]
                                },
                                "density": {
                                  "type": "string",
                                  "enum": [
                                    "system",
                                    "global",
                                    "user"
                                  ]
                                },
                                "locale": {
                                  "type": "string",
                                  "enum": [
                                    "system",
                                    "global",
                                    "user"
                                  ]
                                },
                                "dir": {
                                  "type": "string",
                                  "enum": [
                                    "system",
                                    "global",
                                    "user"
                                  ]
                                }
                              },
                              "required": [
                                "theme",
                                "accent",
                                "density",
                                "locale",
                                "dir"
                              ],
                              "additionalProperties": false
                            }
                          },
                          "required": [
                            "theme",
                            "accent",
                            "density",
                            "locale",
                            "dir",
                            "source"
                          ],
                          "additionalProperties": false
                        }
                      },
                      "required": [
                        "prefs",
                        "resolved"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/bootstrap": {
      "get": {
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "user": {
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "string"
                            },
                            "email": {
                              "type": "string"
                            },
                            "name": {
                              "type": "string"
                            },
                            "status": {
                              "type": "string",
                              "enum": [
                                "active",
                                "invited",
                                "suspended"
                              ]
                            },
                            "totpEnabled": {
                              "type": "boolean"
                            },
                            "lastLoginAt": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "createdAt": {
                              "type": "number"
                            },
                            "updatedAt": {
                              "type": "number"
                            }
                          },
                          "required": [
                            "id",
                            "email",
                            "name",
                            "status",
                            "totpEnabled",
                            "lastLoginAt",
                            "createdAt",
                            "updatedAt"
                          ],
                          "additionalProperties": false
                        },
                        "roles": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        },
                        "prefs": {
                          "type": "object",
                          "properties": {
                            "theme": {
                              "type": "string",
                              "enum": [
                                "light",
                                "dark",
                                "system"
                              ]
                            },
                            "accent": {
                              "type": "string",
                              "enum": [
                                "indigo",
                                "blue",
                                "teal",
                                "violet",
                                "rose",
                                "red",
                                "orange",
                                "black"
                              ]
                            },
                            "density": {
                              "type": "string",
                              "enum": [
                                "comfortable",
                                "compact"
                              ]
                            },
                            "locale": {
                              "type": "string",
                              "minLength": 2,
                              "maxLength": 35,
                              "pattern": "^[a-z]{2,3}(_[A-Za-z0-9]{2,8}){0,2}$"
                            },
                            "dir": {
                              "type": "string",
                              "enum": [
                                "ltr",
                                "rtl"
                              ]
                            },
                            "source": {
                              "type": "object",
                              "properties": {
                                "theme": {
                                  "type": "string",
                                  "enum": [
                                    "system",
                                    "global",
                                    "user"
                                  ]
                                },
                                "accent": {
                                  "type": "string",
                                  "enum": [
                                    "system",
                                    "global",
                                    "user"
                                  ]
                                },
                                "density": {
                                  "type": "string",
                                  "enum": [
                                    "system",
                                    "global",
                                    "user"
                                  ]
                                },
                                "locale": {
                                  "type": "string",
                                  "enum": [
                                    "system",
                                    "global",
                                    "user"
                                  ]
                                },
                                "dir": {
                                  "type": "string",
                                  "enum": [
                                    "system",
                                    "global",
                                    "user"
                                  ]
                                }
                              },
                              "required": [
                                "theme",
                                "accent",
                                "density",
                                "locale",
                                "dir"
                              ],
                              "additionalProperties": false
                            }
                          },
                          "required": [
                            "theme",
                            "accent",
                            "density",
                            "locale",
                            "dir",
                            "source"
                          ],
                          "additionalProperties": false
                        },
                        "nav": {
                          "type": "object",
                          "properties": {
                            "groups": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "key": {
                                    "type": "string",
                                    "enum": [
                                      "workspace",
                                      "library",
                                      "planning",
                                      "people",
                                      "account"
                                    ]
                                  },
                                  "items": {
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "pageId": {
                                          "type": "string"
                                        },
                                        "slug": {
                                          "type": "string"
                                        },
                                        "labelKey": {
                                          "type": "string"
                                        },
                                        "fallback": {
                                          "type": "string"
                                        },
                                        "icon": {
                                          "type": "string"
                                        },
                                        "badge": {
                                          "type": "string",
                                          "enum": [
                                            "unread-count",
                                            "pending-count"
                                          ]
                                        },
                                        "order": {
                                          "type": "number"
                                        },
                                        "connectionId": {
                                          "anyOf": [
                                            {
                                              "type": "string"
                                            },
                                            {
                                              "type": "null"
                                            }
                                          ]
                                        },
                                        "connectionName": {
                                          "anyOf": [
                                            {
                                              "type": "string"
                                            },
                                            {
                                              "type": "null"
                                            }
                                          ]
                                        },
                                        "sourceTable": {
                                          "anyOf": [
                                            {
                                              "type": "string"
                                            },
                                            {
                                              "type": "null"
                                            }
                                          ]
                                        }
                                      },
                                      "required": [
                                        "pageId",
                                        "slug",
                                        "labelKey",
                                        "fallback",
                                        "icon",
                                        "order",
                                        "connectionId",
                                        "connectionName",
                                        "sourceTable"
                                      ],
                                      "additionalProperties": false
                                    }
                                  }
                                },
                                "required": [
                                  "key",
                                  "items"
                                ],
                                "additionalProperties": false
                              }
                            }
                          },
                          "required": [
                            "groups"
                          ],
                          "additionalProperties": false
                        },
                        "version": {
                          "type": "string"
                        },
                        "configVersion": {
                          "type": "number"
                        },
                        "llm": {
                          "type": "object",
                          "properties": {
                            "enabled": {
                              "type": "boolean"
                            }
                          },
                          "required": [
                            "enabled"
                          ],
                          "additionalProperties": false
                        },
                        "csrfToken": {
                          "type": "string"
                        },
                        "hostedApps": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "appKey": {
                                "type": "string"
                              },
                              "instance": {
                                "type": "string"
                              },
                              "label": {
                                "type": "string"
                              },
                              "items": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "string"
                                    },
                                    "path": {
                                      "type": "string"
                                    },
                                    "label": {
                                      "type": "string"
                                    },
                                    "icon": {
                                      "type": "string"
                                    },
                                    "persona": {
                                      "type": "string"
                                    }
                                  },
                                  "required": [
                                    "id",
                                    "path",
                                    "label"
                                  ],
                                  "additionalProperties": false
                                }
                              }
                            },
                            "required": [
                              "appKey",
                              "label",
                              "items"
                            ],
                            "additionalProperties": false
                          }
                        },
                        "hiddenPages": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "pageId": {
                                "type": "string"
                              },
                              "slug": {
                                "type": "string"
                              },
                              "labelKey": {
                                "type": "string"
                              },
                              "fallback": {
                                "type": "string"
                              },
                              "icon": {
                                "type": "string"
                              },
                              "badge": {
                                "type": "string",
                                "enum": [
                                  "unread-count",
                                  "pending-count"
                                ]
                              },
                              "order": {
                                "type": "number"
                              },
                              "connectionId": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "connectionName": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "sourceTable": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              }
                            },
                            "required": [
                              "pageId",
                              "slug",
                              "labelKey",
                              "fallback",
                              "icon",
                              "order",
                              "connectionId",
                              "connectionName",
                              "sourceTable"
                            ],
                            "additionalProperties": false
                          }
                        },
                        "pausedPages": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "pageId": {
                                "type": "string"
                              },
                              "slug": {
                                "type": "string"
                              },
                              "labelKey": {
                                "type": "string"
                              },
                              "fallback": {
                                "type": "string"
                              },
                              "icon": {
                                "type": "string"
                              },
                              "badge": {
                                "type": "string",
                                "enum": [
                                  "unread-count",
                                  "pending-count"
                                ]
                              },
                              "order": {
                                "type": "number"
                              },
                              "connectionId": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "connectionName": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "sourceTable": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              }
                            },
                            "required": [
                              "pageId",
                              "slug",
                              "labelKey",
                              "fallback",
                              "icon",
                              "order",
                              "connectionId",
                              "connectionName",
                              "sourceTable"
                            ],
                            "additionalProperties": false
                          }
                        }
                      },
                      "required": [
                        "user",
                        "roles",
                        "prefs",
                        "nav",
                        "version",
                        "configVersion",
                        "llm",
                        "csrfToken",
                        "hostedApps",
                        "hiddenPages",
                        "pausedPages"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/setup/state": {
      "get": {
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "required": {
                          "type": "boolean"
                        },
                        "passwordMinLength": {
                          "type": "integer",
                          "exclusiveMinimum": 0,
                          "maximum": 9007199254740991
                        }
                      },
                      "required": [
                        "required",
                        "passwordMinLength"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/setup/super-admin": {
      "post": {
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "email": {
                    "type": "string",
                    "minLength": 3,
                    "maxLength": 320,
                    "format": "email",
                    "pattern": "^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
                  },
                  "password": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 200
                  },
                  "name": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 120
                  },
                  "consent": {
                    "type": "object",
                    "properties": {
                      "telemetry": {
                        "type": "boolean"
                      },
                      "updateCheck": {
                        "type": "boolean"
                      }
                    },
                    "required": [
                      "telemetry",
                      "updateCheck"
                    ],
                    "additionalProperties": false
                  }
                },
                "required": [
                  "email",
                  "password"
                ],
                "additionalProperties": false
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "user": {
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "string"
                            },
                            "email": {
                              "type": "string"
                            },
                            "name": {
                              "type": "string"
                            },
                            "status": {
                              "type": "string",
                              "enum": [
                                "active",
                                "invited",
                                "suspended"
                              ]
                            },
                            "totpEnabled": {
                              "type": "boolean"
                            },
                            "lastLoginAt": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "createdAt": {
                              "type": "number"
                            },
                            "updatedAt": {
                              "type": "number"
                            }
                          },
                          "required": [
                            "id",
                            "email",
                            "name",
                            "status",
                            "totpEnabled",
                            "lastLoginAt",
                            "createdAt",
                            "updatedAt"
                          ],
                          "additionalProperties": false
                        },
                        "csrfToken": {
                          "type": "string"
                        }
                      },
                      "required": [
                        "user",
                        "csrfToken"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/about": {
      "get": {
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "version": {
                          "type": "string"
                        },
                        "license": {
                          "type": "string"
                        },
                        "sourceUrl": {
                          "type": "string"
                        },
                        "licenseUrl": {
                          "type": "string"
                        },
                        "metaEngine": {
                          "type": "string",
                          "enum": [
                            "postgres",
                            "mysql",
                            "sqlite"
                          ]
                        },
                        "metaMigrationVersion": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "node": {
                          "type": "string"
                        },
                        "telemetry": {
                          "type": "object",
                          "properties": {
                            "enabled": {
                              "type": "boolean"
                            }
                          },
                          "required": [
                            "enabled"
                          ],
                          "additionalProperties": false
                        },
                        "updates": {
                          "type": "object",
                          "properties": {
                            "checkEnabled": {
                              "type": "boolean"
                            }
                          },
                          "required": [
                            "checkEnabled"
                          ],
                          "additionalProperties": false
                        }
                      },
                      "required": [
                        "version",
                        "license",
                        "sourceUrl",
                        "licenseUrl",
                        "metaEngine",
                        "metaMigrationVersion",
                        "node",
                        "telemetry",
                        "updates"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/about/update-check": {
      "get": {
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "oneOf": [
                        {
                          "type": "object",
                          "properties": {
                            "status": {
                              "type": "string",
                              "enum": [
                                "disabled"
                              ]
                            }
                          },
                          "required": [
                            "status"
                          ],
                          "additionalProperties": false
                        },
                        {
                          "type": "object",
                          "properties": {
                            "status": {
                              "type": "string",
                              "enum": [
                                "current"
                              ]
                            },
                            "current": {
                              "type": "string"
                            }
                          },
                          "required": [
                            "status",
                            "current"
                          ],
                          "additionalProperties": false
                        },
                        {
                          "type": "object",
                          "properties": {
                            "status": {
                              "type": "string",
                              "enum": [
                                "unknown"
                              ]
                            },
                            "current": {
                              "type": "string"
                            }
                          },
                          "required": [
                            "status",
                            "current"
                          ],
                          "additionalProperties": false
                        },
                        {
                          "type": "object",
                          "properties": {
                            "status": {
                              "type": "string",
                              "enum": [
                                "update-available"
                              ]
                            },
                            "current": {
                              "type": "string"
                            },
                            "latest": {
                              "type": "string"
                            },
                            "url": {
                              "type": "string"
                            }
                          },
                          "required": [
                            "status",
                            "current",
                            "latest",
                            "url"
                          ],
                          "additionalProperties": false
                        }
                      ]
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/events": {
      "get": {
        "parameters": [
          {
            "schema": {
              "type": "string",
              "maxLength": 4096
            },
            "in": "query",
            "name": "channels",
            "required": false
          },
          {
            "schema": {
              "type": "string",
              "maxLength": 4096
            },
            "in": "query",
            "name": "topics",
            "required": false
          }
        ],
        "responses": {
          "200": {
            "description": "Default Response"
          }
        }
      }
    },
    "/api/v1/jobs": {
      "post": {
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "kind": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 60
                  },
                  "payload": {
                    "default": {},
                    "type": "object",
                    "propertyNames": {
                      "type": "string"
                    },
                    "additionalProperties": {}
                  },
                  "priority": {
                    "type": "integer",
                    "minimum": -100,
                    "maximum": 100
                  },
                  "runAt": {
                    "type": "integer",
                    "minimum": 0,
                    "maximum": 9007199254740991
                  },
                  "maxAttempts": {
                    "type": "integer",
                    "minimum": 1,
                    "maximum": 10
                  },
                  "dedupeKey": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 120
                  }
                },
                "required": [
                  "kind"
                ]
              }
            }
          }
        },
        "responses": {
          "202": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "jobId": {
                          "type": "string"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "pending",
                            "running",
                            "succeeded",
                            "failed",
                            "cancelled"
                          ]
                        }
                      },
                      "required": [
                        "jobId",
                        "status"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false
                }
              }
            }
          }
        }
      },
      "get": {
        "parameters": [
          {
            "schema": {
              "type": "string",
              "minLength": 1,
              "maxLength": 60
            },
            "in": "query",
            "name": "kind",
            "required": false
          },
          {
            "schema": {
              "type": "string",
              "enum": [
                "pending",
                "running",
                "succeeded",
                "failed",
                "cancelled"
              ]
            },
            "in": "query",
            "name": "status",
            "required": false
          },
          {
            "schema": {
              "default": 25,
              "type": "integer",
              "minimum": 1,
              "maximum": 100
            },
            "in": "query",
            "name": "limit",
            "required": false
          },
          {
            "schema": {
              "type": "string",
              "maxLength": 200
            },
            "in": "query",
            "name": "cursor",
            "required": false
          }
        ],
        "responses": {
          "200": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string"
                          },
                          "kind": {
                            "type": "string"
[...]
